Name: zebra
Version: 0.95
Release: alt2

Summary: GNU Zebra routing suite
Summary(ru_RU.KOI8-R):   GNU Zebra
Summary(uk_UA.KOI8-U): צ æ GNU Zebra
Group: System/Servers
License: GPL
Url: http://www.zebra.org/

Source:		%{name}-%{version}.tar.gz
Source1:	%name.init
Source2:	ripd.init
Source3:	ripngd.init
Source4:	ospfd.init
Source5:	ospf6d.init
Source6:	bgpd.init
Source8:	%name-ufaq-20040516.tar.gz
Source9:	%name.logrotate
Source10:	%name.conf
Source11:	ripd.conf
Source12:	ripngd.conf
Source13:	ospfd.conf
Source14:	ospf6d.conf
Source15:	bgpd.conf
Patch0:		zebra-0.93b-alt-confpath_realfix.patch
Patch1:		zebra-0.94-alt-ripd-mcast-leak.patch

# Automatically added by buildreq on Thu Oct 17 2002
#BuildRequires: libpam-devel libreadline-devel libtinfo-devel
BuildRequires: libpam0-devel libreadline-devel libtinfo-devel

%description
GNU Zebra is multiprocess routing software that manages dynamic IP routing
protocols: BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2 and RIPng.
It can be used as BGP route server or route reflector.
Zebra offers true modularity: it runs a separate process for
each routing protocol.
Complete feature list and user manual can be found in zebra info pages.
This RPM release includes Unofficial Zebra FAQ.

%description -l ru_RU.KOI8-R
GNU Zebra ---     IP, 
 BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2  RIPng.
Zebra     BGP route server  route reflector.
Zebra   :    
  .
        
info zebra.
    ޣ Unofficial Zebra FAQ.

%description -l uk_UA.KOI8-U
GNU Zebra --   ͦϧ æ IP,
 Цդ  BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2  RIPng.
Zebra     BGP route server  route reflector.
 դ  Φ:   
æ   צ.
    Ӧ   
Ҧ info zebra.
  ¦  צ Unofficial Zebra FAQ.

%prep
%setup -q -n zebra-0.95
%patch0 -p1
#%patch1 -p1

%build
export IPFORWARD=ipforward_proc.o; export zebra_ipforward_path=proc; %configure --sysconfdir=%_sysconfdir/%name \
	--disable-snmp \
	--enable-vtysh \
	--with-libpam \
	--enable-nssa \
	--disable-opaque-lsa \
	--disable-ospf-te \
	--disable-dependency-tracking \
	--enable-one-vty \
	--enable-ipv6 \
	--enable-zebra \
	--enable-ripd \
	--enable-ripngd \
	--enable-ospfd \
	--enable-ospf6d \
	--enable-bgpd \
	--enable-netlink \
	--enable-multipath=0


%make_build

%install
%makeinstall sysconfdir=%buildroot/%_sysconfdir/%name

%__install -d %buildroot%_initdir
#install -d %buildroot%_sysconfdir/logrotate.d
%__install -d %buildroot%_logdir/%name
%__install %SOURCE10 %SOURCE11 %SOURCE12 %SOURCE13 %SOURCE14 %SOURCE15 %buildroot%_sysconfdir/%name

%__rm -f doc/%name.info*

%__chmod -x tools/zc.pl

%__install -m 755 %SOURCE1 %buildroot/%_initdir/%name
%__install -m 755 %SOURCE2 %buildroot/%_initdir/ripd
%__install -m 755 %SOURCE3 %buildroot/%_initdir/ripngd
%__install -m 755 %SOURCE4 %buildroot/%_initdir/ospfd
%__install -m 755 %SOURCE5 %buildroot/%_initdir/ospf6d
%__install -m 755 %SOURCE6 %buildroot/%_initdir/bgpd
#install -m 644 %SOURCE9 %buildroot/%_sysconfdir/logrotate.d/%name

%__tar xzf %SOURCE8

%post
%post_service %name
%post_service ripd
%post_service ospfd
%post_service ospf6d
%post_service ripngd
%post_service bgpd

%preun
%preun_service ripd
%preun_service ospfd
%preun_service ospf6d
%preun_service ripngd
%preun_service bgpd
%preun_service %name

%files
%doc tools AUTHORS COPYING ChangeLog INSTALL NEWS README SERVICES TODO zebra-ufaq
%doc bgpd/BGP4-MIB.txt ospfd/OSPF-MIB.txt ospfd/OSPF-TRAP-MIB.txt
%doc ripd/RIPv2-MIB.txt zebra/GNOME-PRODUCT-ZEBRA-MIB zebra/GNOME-SMI
%doc doc/*.texi doc/draft-zebra-00.* doc/BGP-TypeCode

%dir %_sysconfdir/%name
%config(noreplace) %attr(0600, root, root) %_sysconfdir/%name/*
%config(noreplace) %_initdir/%name
%config(noreplace) %_initdir/ripd
%config(noreplace) %_initdir/ospfd
%config(noreplace) %_initdir/ospf6d
%config(noreplace) %_initdir/ripngd
%config(noreplace) %_initdir/bgpd

#%_sysconfdir/logrotate.d/%name

%_infodir/zebra.*
%_man1dir/vtysh.*
%_man8dir/bgpd.*
%_man8dir/ospfd.*
%_man8dir/ospf6d.*
%_man8dir/ripngd.*
%_man8dir/ripd.*
%_man8dir/zebra.*

%_sbindir/bgpd
%_sbindir/ospfd
%_sbindir/ospf6d
%_sbindir/ripngd
%_sbindir/ripd
%_sbindir/%name
%_bindir/vtysh

%dir %_logdir/%name

%changelog
* Tue Mar 29 2005 Denis Ovsienko <pilot@altlinux.ru> 0.95-alt2
- new version: 0.95
 + Significant amount of bug fixes in all daemons
 + BGP TCP MD5 support on Linux and OpenBSD
 + Net-SNMP support (as well as UCD-SNMP)
 + More-line support (Enter key in More mode)
 + OSPFv3 Area support (not yet for virtual-link)

* Tue Feb 08 2005 Denis Ovsienko <pilot@altlinux.ru> 0.95-alt1.pre3
- 0.95-pre3

* Sun Sep 26 2004 Denis Ovsienko <pilot@altlinux.ru> 0.95-alt1.pre2
- 0.95-pre2

* Sun May 16 2004 Denis Ovsienko <pilot@altlinux.ru> 0.94-alt2
- applied patch from vsu@ (bug #3915)
- updated uFAQ

* Thu Nov 27 2003 Denis Ovsienko <pilot@altlinux.ru> 0.94-alt1
- new version 0.94
 + invulnerable to CAN-2003-0795 & CAN-2003-0858
 + bgpd bugfixes and new features
 + ospfd bugfixes and new features
 + ospf6d bugfixes
 + vtysh bugfixes
 + libzebra bugfixes
- spec cleanup
- config open path patch still here

* Mon Nov 10 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt7
- patch against CAN-2003-0795
- patch against CAN-2003-0858

* Tue Nov 04 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt6
- updated initscripts for new service package
- disabled logrotate to prevent routing flaps
- turned zebra services off by default and included default configs

* Fri Mar 28 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt5.1
- fixed wrong initscripts for ripngd & ospf6d

* Tue Mar 12 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt5.0
- fixed bug from alt3 patch

* Tue Mar 11 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt4.3
- initscripts fix after previous change

* Sat Mar 01 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt4.2
- added condreload argument to initscripts

* Tue Feb 25 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt4.1
- spec fix

* Mon Feb 24 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt4
- removed old html docs produced from info pages
- disabled unstable Opaque-LSA/MPLS-TE code
- enabled ospf6d, ripngd
- fixed spec for chrooted build
- added Ukrainian package tags
- added ufaq to documentation

* Tue Feb 11 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt3
- fixed bug/security leak with reading conf files from current dir ([zebra 15878])
- removed possible alteration of /etc/services from spec file

* Mon Dec 23 2002 Rider <rider@altlinux.ru> 0.93b-alt2
- fixed bug #0001741

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 0.93b-alt1
- 0.93b

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 0.93a-alt1
- 0.93a
- Russian Summary

* Tue Feb 12 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.92a-alt4
- rebuid for new libucd-snmp

* Thu Feb 07 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.92a-alt3
- fixed init scripts

* Mon Jan 14 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.92a-alt2
- fixed init scripts

* Fri Oct  5 2001 Kostya Timoshenko <kt@altlinux.ru> 0.92a-alt1
- Build for AltLinux

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.92a-1mdk
- 0.92a

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.90-1mdk
- updated to 0.90

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.87-5mdk
- Fix build
- %%setup -q
- Spec clean up

* Mon Jul 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.87-4mdk
- fix install section

* Fri Jul 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.87-3mdk
- changed permission
- added /etc/services entries
- fixed macros

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.86-2mdk
- removed %group
- removed _sysconfdir

* Tue Jul 11 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.86-1mdk
- macroszifications
- Mandrakized version
